IF NOT EXISTS (SELECT * FROM SYSCOLUMNS INNER JOIN SYSOBJECTS ON SYSOBJECTS.id = SYSCOLUMNS.id 
               WHERE SYSCOLUMNS.NAME = 'MALIYETYUZDE' AND SYSOBJECTS.name = 'STOKGRUP')
ALTER TABLE dbo.STOKGRUP ADD
	MALIYETYUZDE smallint NOT NULL CONSTRAINT DF_STOKGRUP_MALIYETYUZDE DEFAULT 100
GO

UPDATE STOKGRUP SET MALIYETYUZDE = 100 * ISNULL(CONVERT(float,REPLACE(VALUESTR,',','.')),1)
FROM STOKGRUP INNER JOIN 
CONFIG ON PROGNAME='MEDISOFT' AND SECTIONSTR='STOK' AND KEYNAME='Fiyat Listesindeki Maliyet Tutarının Güncellenme Katsayısı' AND ISNUMERIC(REPLACE(VALUESTR,',','.')) = 1
WHERE MALIYETYUZDE = 100
GO